Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.call_notification
Class CallNotificationClient

    java.lang.Object
      oracle.sdp.parlayx.call_notification.CallNotificationClient

    public class CallNotificationClient

extends Object

Constructor Summary
`CallNotificationClient()`

Method Summary
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`String` | `getPassword()`
`oracle.sdp.parlayx.call_notification.CallNotification` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`String` | `getUsername()`
`static void` | `main(String[] args)`
`void` | `notifyBusy(String correlator, URI callingParty, String callingPartyName, URI calledParty)` delegate all operations to the underlying implementation class.
`void` | `notifyCalledNumber(String correlator, URI callingParty, String callingPartyName, URI calledParty)`
`void` | `notifyNoAnswer(String correlator, URI callingParty, String callingPartyName, URI calledParty)`
`void` | `notifyNotReachable(String correlator, URI callingParty, String callingPartyName, URI calledParty)`
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallNotificationClient

    public CallNotificationClient()
                           throws Exception

Throws:
  `Exception`

Method Detail

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### notifyBusy

    public void notifyBusy(String correlator,
                           URI callingParty,
                           String callingPartyName,
                           URI calledParty)
                    throws RemoteException,
                           org.csapi.schema.parlayx.common.v2_1.PolicyException,
                           org.csapi.schema.parlayx.common.v2_1.ServiceException

  delegate all operations to the underlying implementation class.

  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### notifyNotReachable

    public void notifyNotReachable(String correlator,
                                   URI callingParty,
                                   String callingPartyName,
                                   URI calledParty)
                            throws RemoteException,
                                   org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                   org.csapi.schema.parlayx.common.v2_1.PolicyException

  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### notifyNoAnswer

    public void notifyNoAnswer(String correlator,
                               URI callingParty,
                               String callingPartyName,
                               URI calledParty)
                        throws RemoteException,
                               org.csapi.schema.parlayx.common.v2_1.ServiceException,
                               org.csapi.schema.parlayx.common.v2_1.PolicyException

  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### notifyCalledNumber

    public void notifyCalledNumber(String correlator,
                                   URI callingParty,
                                   String callingPartyName,
                                   URI calledParty)
                            throws RemoteException,
                                   org.csapi.schema.parlayx.common.v2_1.PolicyException,
                                   org.csapi.schema.parlayx.common.v2_1.ServiceException

  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### getPort

    public oracle.sdp.parlayx.call_notification.CallNotification getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.